package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

public class RelatorioVendasCartoesBean {

	private Date dataVenda;
	private Date dataOperacao;
	private String autorizacao;
	private String descPagamento;
	private Integer qtdParcelas;
	private BigDecimal valor;
	private BigDecimal valorTotal;
	private String numeroPuntoVenta;
	private String nomePuntoVenta;
	private String descOperadoraCartao;
	private String NSU;
	private String numeroCartao;
	private String bandeira;
	private String estabelecimento;
	private String terminal;
	
	public Date getDataVenda() {
		return dataVenda;
	}

	public void setDataVenda(Date dataVenda) {
		this.dataVenda = dataVenda;
	}

	public String getAutorizacao() {
		return autorizacao;
	}

	public void setAutorizacao(String autorizacao) {
		this.autorizacao = autorizacao;
	}

	public Integer getQtdParcelas() {
		return qtdParcelas;
	}

	public void setQtdParcelas(Integer qtdParcelas) {
		this.qtdParcelas = qtdParcelas;
	}

	public BigDecimal getValor() {
		return valor;
	}

	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public String getDescPagamento() {
		return descPagamento;
	}

	public void setDescPagamento(String descPagamento) {
		this.descPagamento = descPagamento;
	}

	public Date getDataOperacao() {
		return dataOperacao;
	}

	public void setDataOperacao(Date dataOperacao) {
		this.dataOperacao = dataOperacao;
	}

	public String getNumeroPuntoVenta() {
		return numeroPuntoVenta;
	}

	public void setNumeroPuntoVenta(String numeroPuntoVenta) {
		this.numeroPuntoVenta = numeroPuntoVenta;
	}

	public String getNomePuntoVenta() {
		return nomePuntoVenta;
	}

	public void setNomePuntoVenta(String nomePuntoVenta) {
		this.nomePuntoVenta = nomePuntoVenta;
	}

	public String getDescOperadoraCartao() {
		return descOperadoraCartao;
	}

	public void setDescOperadoraCartao(String descOperadoraCartao) {
		this.descOperadoraCartao = descOperadoraCartao;
	}

	public String getNSU() {
		return NSU;
	}

	public void setNSU(String nSU) {
		NSU = nSU;
	}

	public String getNumeroCartao() {
		return numeroCartao;
	}

	public void setNumeroCartao(String numeroCartao) {
		this.numeroCartao = numeroCartao;
	}

	public String getBandeira() {
		return bandeira;
	}

	public void setBandeira(String bandeira) {
		this.bandeira = bandeira;
	}

	public String getEstabelecimento() {
		return estabelecimento;
	}

	public void setEstabelecimento(String estabelecimento) {
		this.estabelecimento = estabelecimento;
	}

	public String getTerminal() {
		return terminal;
	}

	public void setTerminal(String terminal) {
		this.terminal = terminal;
	}

}
